---
title: rerequest-a-check
product: vercel
url: /docs/rest-api/checks/rerequest-a-check
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about rerequest-a-check on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Rerequest a check

> **Deprecated**: This endpoint is deprecated and may be removed in a future version.

```http
POST /v1/deployments/{deploymentId}/checks/{checkId}/rerequest
```

Rerequest a selected check that has failed.

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `deploymentId` | string | Yes | The deployment to rerun the check for. |
| `checkId` | string | Yes | The check to rerun |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `autoUpdate` | boolean | No | Mark the check as running |
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Responses

### 200: No description

Content-Type: `application/json`

```json
{
  "type": "object"
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 404: The deployment was not found
Check was not found

---

## Related

- [checks endpoints](/docs/rest-api#checks)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://openapi.vercel.sh/) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
